<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- altimeter -->
<PropertyList>

  <path>alt.ac</path>

  <animation>
    <object-name>fond</object-name>
    <object-name>face</object-name>
    <object-name>needle</object-name>

    <object-name>vitre</object-name>
  </animation>

  <animation>
    <type>noshadow</type>
    <object-name>fond</object-name>
    <object-name>face</object-name>
    <object-name>needle</object-name>
    <object-name>vitre</object-name>
  </animation>

  <!-- working for Compositor -->
  <effect>
    <inherits-from>../../../../Effects/Glass/glass</inherits-from>
    <object-name>vitre</object-name>
  </effect>

  <animation>
    <type>material</type>
    <object-name>face</object-name>
    <object-name>needle</object-name>
    <condition>
      <property>/controls/electric/battery-switch</property>
    </condition>
    <emission>
      <factor-prop>controls/lighting/instruments-norm</factor-prop>
      <red>   0.50 </red>
      <green> 0.40 </green>
      <blue>  0.30 </blue>
    </emission>
  </animation>

   <animation>
     <type>rotate</type>
    <object-name>needle</object-name>
    <property>instrumentation/altimeter/indicated-altitude-ft</property>
    <interpolation>
      <entry><ind>     0 </ind><dep>   0 </dep></entry> <!--    0 mètre  -->
      <entry><ind> 16405 </ind><dep> 360 </dep></entry> <!-- 5000 mètres -->
    </interpolation>
    <axis>
      <x> -1 </x>
      <y>  0 </y>
      <z>  0 </z>
    </axis>
  </animation>

  <!-- Altimeter Ingh Setting Knob -->
  <animation>
    <type>pick</type>
    <visible>true</visible>
    <object-name>vitre</object-name>
    <action>
      <button>3</button>
      <repeatable>true</repeatable>
      <interval-sec> 0.2 </interval-sec>
      <binding>
        <command>property-adjust</command>
        <property>instrumentation/altimeter/setting-inhg</property>
        <step> -0.025 </step>
        <min> 20 </min>
        <max> 33 </max>
        <wrap>false</wrap>
      </binding>
    </action>
    <action>
      <button>4</button>
      <repeatable>true</repeatable>
      <interval-sec> 0.2 </interval-sec>
      <binding>
        <command>property-adjust</command>
        <property>instrumentation/altimeter/setting-inhg</property>
        <step> 0.025 </step>
        <min> 20 </min>
        <max> 33 </max>
        <wrap>false</wrap>
      </binding>
    </action>
  </animation>

</PropertyList>
